Subject: Re: Option for "git submodule foreach" to also run on the parent git?

From: Junio C Hamano <[email-masked]>
Date: Mon, 09 Mar 2026 08:15:08 -0700

Florian Schmidt <[email-masked]> writes:

> would there be an appetite for a new option to "git submodule foreach" 
> to run the foreach command on the parent git repo as well?

Not from me.  After all, the top-level superproject is not a
submodule from the point of view of the tree, is it?  If it were
"git submodule-and-superproject foreach", then perhaps, but at that
point, wouldn't it be simpler to explain what you are doing as

    do-this . ;# do it here
    git submodule foreach do-this ;# do it there all over

instead?